void init()
{
	//----------ADC_INIT----------
	ADMUX=(1<<ADLAR)|(1<<REFS0)|(1<<REFS1);
	ADCSRA=0x07;
	ADCSRA|=(1<<ADEN)|(1<<ADSC);
	//---------uart_init---------------
	trt_uart_init();
	stdout = stdin = stderr = &uart_str;
	trtInitKernel(200); 
	trtCreateSemaphore(SEM_RX_ISR_SIGNAL,0);
	trtCreateSemaphore(SEM_STRING_DONE,0);
	trtCreateSemaphore(SEM_PRESSURE,1);
	trtCreateSemaphore(SEM_ACCELER,1);
    fprintf(stdout,"\n\r...Starting Putty Debugging...\n\r");
    //---------ext isr---------
	EIMSK=1<<INT0 ; // turn on int0
	EICRA=3;       // rising edge // turn on timer 2 to be read in int0 ISR
	// TCCR2B=7; // divide by 1024
	// TIMSK2=1;// turn on timer 2 overflow ISR for double precision time
	//---------ir_treat_init--------
	DDRB|=(1<<PINB4);
	//---------motor_treat_init-------
	DDRB|=(1<<PINB3);
	TCCR0B=1; //clk by 1024
	TIMSK0=(1<<TOIE0);
	TCCR0A =(1<<COM0A0)|(1<<COM0A1)|(1<<COM0B0)|(1<<COM0B1)|(1<<WGM00)|(1<<WGM01); 
	OCR0A=128;
	OCR0B=128;
	//----------test trt------------
	DDRC = 0x01;    // led connections
	PORTC = 0x01;
	Treat_Value=210;
	Treat_IR=128;
	apm_counter=0;
	sei();
	trtCreateTask(get_ADC_info, 200, SECONDS2TICKS(0.1), SECONDS2TICKS(0.2), &(args[1]));
	trtCreateTask(Get_Treat, 200, SECONDS2TICKS(0.1), SECONDS2TICKS(0.2), &(args[1]));
	trtCreateTask(display, 200, SECONDS2TICKS(0.1), SECONDS2TICKS(0.2), &(args[1]));
}
