#define SEM_RX_ISR_SIGNAL 1
#define SEM_STRING_DONE 2 // user hit <enter>
#define SEM_PRESSURE 3
#define SEM_ACCELER 4 // user hit <enter>
#define SEM_APM 5
#define SEM_TREAT 6
#define SEM_MUTEX 7
#define SEM_ADC 8
#define F_CPU 16000000UL

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <util/delay.h> // needed for lcd_lib
#include <inttypes.h>
#include <avr/eeprom.h> 
#include <avr/sleep.h>
volatile int Treat_Value,Treat_IR, apm_period, apm_counter;
volatile long int apm_period_ovlf;
ISR (TIMER0_OVF_vect)
{ 
	OCR0A=(char)(Treat_Value);
	OCR0B=(char)(Treat_IR);
	apm_period_ovlf+=1;
	if(apm_period_ovlf==187500) {apm_period_ovlf=0;apm_counter=0;}
}
ISR (INT0_vect) // Get apm info
{
	apm_counter+=1;
    // apm_period=TCNT2 + apm_period_ovlf;
    // TCNT2=0;
    // apm_period_ovlf=0;
}
// ISR (TIMER2_OVF_vect) {
	// apm_period_ovlf = apm_period_ovlf + 256;
// }
#include "trtSettings.h"
#include "trtkernel_1284.c"
#include "trtUart.h"
#include "trtUart.c"
FILE uart_str = FDEV_SETUP_STREAM(uart_putchar, uart_getchar, _FDEV_SETUP_RW);
int args[4] ;
#include "trtTasks.h"
#include "init.h"

int main(void)
{
	init();
	// set_sleep_mode(SLEEP_MODE_IDLE);
	// sleep_enable();
	while(1)
	{
		// sleep_cpu();
	}
}
