int pressure, accelerX, accelerY, acceler, apm;
int ir_cond, motor_cond;
char flag_motor;
char flag_ir;

void get_ADC_info(void* args) 
{ 
	while(1)
	{
		//------Blink LED for test-------------
		PORTC^= 0x01;
		//-----get pressure first--------------
		ADMUX=(1<<ADLAR)|(1<<REFS0)|(1<<REFS1)|(1<<MUX0);//ADC1
		ADCSRA|=(1<<ADSC);
		while(ADCSRA&(1<<ADSC));
		trtWait(SEM_PRESSURE);
		pressure=ADCH;
		trtSignal(SEM_PRESSURE);
		// fprintf(stdout,"pressure is %d\r\n",pressure);
		//-----get acceler next-------------
		ADMUX=(1<<ADLAR)|(1<<REFS0)|(1<<REFS1);//ADC0
		ADCSRA|=(1<<ADSC);
		while(ADCSRA&(1<<ADSC));
		trtWait(SEM_ACCELER);
		accelerX=ADCH;
		trtSignal(SEM_ACCELER);
		// fprintf(stdout,"Acceleration X is %d\r\n",accelerX);
		
		ADMUX=(1<<ADLAR)|(1<<REFS0)|(1<<REFS1)|(1<<MUX1);//ADC2
		ADCSRA|=(1<<ADSC);
		while(ADCSRA&(1<<ADSC));
		trtWait(SEM_ACCELER);
		accelerY=ADCH;
		trtSignal(SEM_ACCELER);
		// fprintf(stdout,"Acceleration Y is %d\r\n",accelerY);
		
		trtSleepUntil(trtCurrentTime()+SECONDS2TICKS(0.2), trtCurrentTime()+SECONDS2TICKS(0.3));
	}
}
void Get_Treat(void* args) 
{ 
	while(1)
	{
		trtWait(SEM_ACCELER);
		acceler=accelerY+accelerX;
		trtSignal(SEM_ACCELER);
		trtWait(SEM_PRESSURE);
		Treat_Value=(int)(1.35*(float)(pressure)+59.28);
		trtSignal(SEM_PRESSURE);
		if(Treat_Value>=255) Treat_Value=255;
		else if(Treat_Value<=100) Treat_Value=100;
		if(Treat_Value>=190) Treat_IR=255;
		else Treat_IR=0;
		// if(apm_period>0){
		// fprintf(stdout,"Treat_Value is %d\r\n",Treat_Value);
		// fprintf(stdout,"Treat_IR is %d\r\n",Treat_IR);
		// // // fprintf(stdout,"APM_Value is %d\r\n",apm_period);}
		// fprintf(stdout,"APM_Value is %d\r\n",apm_counter);
		trtSleepUntil(trtCurrentTime()+SECONDS2TICKS(0.2), trtCurrentTime()+SECONDS2TICKS(0.3));
	}
}

void display(void* args) 
{ 
	while(1)
	{
		fprintf(stdout,"pressure is %d\r\n",pressure);
		fprintf(stdout,"Acceleration X is %d\r\n",accelerX);
		fprintf(stdout,"Acceleration Y is %d\r\n",accelerY);
		fprintf(stdout,"Treat_Value is %d\r\n",Treat_Value);
		fprintf(stdout,"Treat_IR is %d\r\n",Treat_IR);
		fprintf(stdout,"APM_Value is %d\r\n",apm_counter);
		trtSleepUntil(trtCurrentTime()+SECONDS2TICKS(2.2), trtCurrentTime()+SECONDS2TICKS(2.3));
	}
}